Package Details: git-bug 0.7.1-3

Git Clone URL: https://aur.archlinux.org/git-bug.git (read-only, click to copy)
Package Base: git-bug
Description: Distributed bug tracker embedded in Git
Upstream URL: https://github.com/MichaelMure/git-bug
Licenses: GPL3
Submitter: dave_v
Maintainer: rafasc
Last Packager: rafasc
Votes: 4
Popularity: 0.175042
First Submitted: 2018-08-17 14:58
Last Updated: 2020-06-08 20:58

Latest Comments

1 2 Next › Last »

eschwartz commented on 2020-06-08 18:50

git-extras removed the conflicting commands in upstream git master, and I've correspondingly rm'ed them in the stable PKGBUILD.

There is no more conflict.

caleb commented on 2020-05-29 18:15

This package should add a conflicts=('git-extras') which has a git-bug as well (just an alias for creating a bug branch), really that project is too aggressive in stealing subcommand names, but it's still worth noting here until such a time as they fix that.

P.S. Anybody else with this issue could add support for my upstream issue report to remove the git-bug alias from the git-extras project.

caleb commented on 2020-05-29 16:30

@ejiek Go-pie is completely obsolete, Arch has removed the package and updated the Go package guidelines with the proper flags to use. The go package provides=('go-pie') as a transition, but projects like this need to update their build args.

ejiek commented on 2020-05-13 08:46

@kondanta here is a good article about go packages https://wiki.archlinux.org/index.php/Go_package_guidelines

tldr. go-pie is go with more secure configuration by default. This way resulting package is more secure.

Usually the build system builds stuff in clean chroot, so it's convinient to use go-pie and there is no conflict with regular go.

kondanta commented on 2020-05-13 00:06

Hi,

Mind if I ask why go-pie conflicts with go?

I am having something like this

resolving dependencies...
looking for conflicting packages...
:: go-pie and go are in conflict. Remove go? [y/N] n

ejiek commented on 2020-04-21 04:20

The commit sha used in source is for 0.7.0 while pkgver is 0.7.1

There is no need to include to include git as makedep as it is already a regular dep.

rafasc commented on 2018-12-12 15:52

@dave_v Thanks for the quick handoff. :)

dave_v commented on 2018-12-12 08:01

@rafasc Good idea - sadly I don't really have the time right now to maintain it, so I'm glad if want to help/take over :) I'll add you to the list.

rafasc commented on 2018-12-12 00:17

Hi @dave_v, I recently adopted git-bug-git and wouldn't mind adopting this one as well, since it's been ood for some time.

Cheers!

x4m3 commented on 2018-08-19 23:03

hi, would it be possible to add the man pages and the bash/zsh completion for this pkgbuild?

the man pages are available at https://github.com/MichaelMure/git-bug/tree/master/doc/man and the shell completion are at https://github.com/MichaelMure/git-bug/tree/master/misc.

thanks :)